! @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ !
! @@                                                                @@ !
! @@       PROGRAM  ASCOT 2014.440 (ver.4.53)                       @@ !
! @@     "Abinitio Simulation Code for Quantum Transport"           @@ !
! @@                                                                @@ !
! @@                                                                @@ !
! @@  AUTHOR(S): Hisashi KONDO (Univ. Tokyo)                        @@ !
! @@                                                09/May/2014     @@ !
! @@                                                                @@ !
! @@  Contact address: Phase System Consortium                      @@ !
! @@                                                                @@ !
! @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ !

subroutine cal_print_text11(iw_do,trace,ispin,kt)
  use condition_ini
  use hamiltonian_sgf
  use hamiltonian_c
  use gf_se_c
  use locate_atom

  implicit none
  integer, intent(in) :: iw_do,ispin,kt
  complex(8), intent(in) :: trace

  tr_gr_l(ispin,iw_do,kt)=tr_gr_l(ispin,iw_do,kt)+trace

  return
end subroutine cal_print_text11

subroutine cal_print_text12(iw_do,trace,ispin,kt)
  use condition_ini
  use hamiltonian_sgf
  use hamiltonian_c
  use gf_se_c
  use locate_atom

  implicit none
  integer, intent(in) :: iw_do,ispin,kt
  complex(8), intent(in) :: trace

  tr_gr_r(ispin,iw_do,kt)=tr_gr_r(ispin,iw_do,kt)+trace

  return
end subroutine cal_print_text12
subroutine cal_print_text2(iw_do,trace,ispin,kt)

  use condition_ini
  use hamiltonian_sgf
  use hamiltonian_c
  use gf_se_c
  use locate_atom

  implicit none
  integer, intent(in) :: iw_do,ispin,kt
  complex(8), intent(in) :: trace
  integer :: i1_do,i2_do,i_temp1,i_temp2

  tr_gr_c(ispin,iw_do,kt)=tr_gr_c(ispin,iw_do,kt)+trace

  return
end subroutine cal_print_text2

subroutine cal_print_text3(iw_do,trace,ispin,kt)

  use condition_ini
  use hamiltonian_sgf
  use hamiltonian_c
  use gf_se_c
  use locate_atom

  implicit none
  integer, intent(in) :: iw_do,ispin,kt
  complex(8), intent(in) :: trace
  integer :: i1_do

  tr_tr(ispin,iw_do,kt)=tr_tr(ispin,iw_do,kt)+trace

  return
end subroutine cal_print_text3
